## shell-action-modes shell-action-modes |

## Types and Values

enum | ShellActionMode

## Description

## Functions

## Types and Values

### enum ShellActionMode

Controls in which GNOME Shell states an action (like keybindings and gestures) should be handled.

#### Members

SHELL_ACTION_MODE_NONE | block action |
SHELL_ACTION_MODE_NORMAL | allow action when in window mode, e.g. when the focus is in an application window |
SHELL_ACTION_MODE_OVERVIEW | allow action while the overview is active |
SHELL_ACTION_MODE_LOCK_SCREEN | allow action when the screen is locked, e.g. when the screen shield is shown |
SHELL_ACTION_MODE_UNLOCK_SCREEN | allow action in the unlock dialog |
SHELL_ACTION_MODE_LOGIN_SCREEN | allow action in the login screen |
SHELL_ACTION_MODE_SYSTEM_MODAL | allow action when a system modal dialog (e.g. authentification or session dialogs) is open |
SHELL_ACTION_MODE_LOOKING_GLASS | allow action in looking glass |
SHELL_ACTION_MODE_POPUP | allow action while a shell menu is open |
SHELL_ACTION_MODE_ALL | always allow action |